Skip to content

VIN

Decode a VIN and create inventory from it.

  • Base URL: /wp-json/dms/v1/
  • All requests require a Bearer API key - see Authentication.

Endpoints

Method Path Capability Purpose
GET vin/{type_id} - Previously run VIN imports for a type.
POST import_vin/{type_id} add_inventory Decode a vin and create a listing of that type.

GET /vin/{type_id}

Returns the VIN imports previously run for the given type.

curl "https://your-site.com/wp-json/dms/v1/vin/4" \
  -H "Authorization: Bearer YOUR_KEY"

POST /import_vin/{type_id}

Capability: add_inventory. Decodes the supplied vin and creates a listing of the given type from the decoded data. The vin param is required.

curl -X POST "https://your-site.com/wp-json/dms/v1/import_vin/4" \
  -H "Authorization: Bearer YOUR_KEY" \
  -H "Content-Type: application/json" \
  -d '{ "vin": "1HGCM82633A004352" }'

See also

  • Listings - the payload returned for the created listing.
  • Types - resolve a {type_id}.